package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.BizDictData;
import com.dsk.cscec.domain.TreeSelect;
import com.dsk.cscec.domain.bo.BizDictDataBo;

import java.util.List;

/**
 * 业务数据字典Service接口
 *
 * @author ruoyi
 * @date 2021-11-08
 */
public interface IBizDictDataService extends IService<BizDictData> {
    /**
     * 查询单个
     *
     * @return
     */
    BizDictData queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<BizDictData> queryPageList(BizDictDataBo bo, PageQuery query);

    /**
     * 查询列表
     */
    List<BizDictData> queryList(BizDictDataBo bo);

    String importDict(List<BizDictData> dictList, String type, String operName);

    List<TreeSelect> buildDeptTreeSelect(BizDictDataBo bo);
}
